org.eclipse.rdf4j.query.resultio.sparqljson

## Class SPARQLBooleanJSONParser

- java.lang.Object
- - org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser
  - - org.eclipse.rdf4j.query.resultio.sparqljson.AbstractSPARQLJSONParser
    - - org.eclipse.rdf4j.query.resultio.sparqljson.SPARQLBooleanJSONParser

- All Implemented Interfaces:
    BooleanQueryResultParser, QueryResultParser

      public class SPARQLBooleanJSONParser
      extends AbstractSPARQLJSONParser
      implements BooleanQueryResultParser

  Parser for SPARQL-1.1 JSON Results Format documents
  Author:
    Peter Ansell
  See Also:
    SPARQL 1.1 Query Results JSON Format

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.sparqljson.AbstractSPARQLJSONParser

      `BINDINGS, BNODE, BOOLEAN, DATATYPE, HEAD, LINK, LITERAL, RESULTS, TYPE, TYPED_LITERAL, URI, VALUE, VARS, XMLLANG`

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `handler, valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPARQLBooleanJSONParser()` Default constructor.
    `SPARQLBooleanJSONParser(ValueFactory valueFactory)` Construct a parser with a specific `ValueFactory`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `BooleanQueryResultFormat` | `getBooleanQueryResultFormat()` Gets the query result format that this parser can parse.
    `QueryResultFormat` | `getQueryResultFormat()` Gets the query result format that this parser can parse.
    `boolean` | `parse(InputStream in)` Deprecated.

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.sparqljson.AbstractSPARQLJSONParser

      `checkTripleType, getSupportedSettings, parseQueryResult, parseQueryResultInternal, parseTripleValue, parseValue`

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.AbstractQueryResultParser

      `getParseErrorListener, getParseLocationListener, getParserConfig, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.resultio.QueryResultParser

      `getParserConfig, getSupportedSettings, parseQueryResult, set, setParseErrorListener, setParseLocationListener, setParserConfig, setQueryResultHandler, setValueFactory`

- - ### Constructor Detail

    - #### SPARQLBooleanJSONParser

          public SPARQLBooleanJSONParser()

      Default constructor.

    - #### SPARQLBooleanJSONParser

          public SPARQLBooleanJSONParser(ValueFactory valueFactory)

      Construct a parser with a specific `ValueFactory`.
      Parameters:
        `valueFactory` - The factory to use to create values.

  - ### Method Detail

    - #### getQueryResultFormat

          public QueryResultFormat getQueryResultFormat()

      Description copied from interface: `QueryResultParser`
      Gets the query result format that this parser can parse.
      Specified by:
        `getQueryResultFormat` in interface `QueryResultParser`
      Returns:
        The `QueryResultFormat` supported by this parser.

    - #### getBooleanQueryResultFormat

          public BooleanQueryResultFormat getBooleanQueryResultFormat()

      Description copied from interface: `BooleanQueryResultParser`
      Gets the query result format that this parser can parse.
      Specified by:
        `getBooleanQueryResultFormat` in interface `BooleanQueryResultParser`

    - #### parse

          @Deprecated
          public boolean parse(InputStream in)
                                    throws IOException,
                                           QueryResultParseException

      Deprecated.
      Description copied from interface: `BooleanQueryResultParser`
      Parses the data from the supplied InputStream.
      Specified by:
        `parse` in interface `BooleanQueryResultParser`
      Parameters:
        `in` - The InputStream from which to read the data.
      Throws:
        `IOException` - If an I/O error occurred while data was read from the InputStream.
        `QueryResultParseException` - If the parser has encountered an unrecoverable parse error.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.